# PCCholesky

Uses a direct solver, based on Cholesky factorization, as a preconditioner

### Options Database Keys

| -pc_cholesky_reuse_ordering | - Activate PCLUSetReuseOrdering()
| -pc_cholesky_reuse_fill | - Activates PCLUSetReuseFill()
| -pc_cholesky_fill <fill> | - Sets fill amount
| -pc_cholesky_damping <damping> | - Sets damping amount
| -pc_cholesky_shift | - Activates Manteuffel shift
| -pc_cholesky_in_place | - Activates in-place factorization
| -pc_cholesky_mat_ordering_type <nd,rcm,...> | - Sets ordering routine

Notes: Not all options work for all matrix formats

Notes: Usually this will compute an "exact" solution in one iteration and does not need a Krylov method (i.e. you can use -ksp_type preonly, or KSPSetType(ksp,KSPPREONLY) for the Krylov method

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCILU, PCLU, PCICC, PCCholeskySetReuseOrdering(), PCCholeskySetReuseFill(), PCGetFactoredMatrix(), PCCholeskySetFill(), PCCholeskySetDamping(), PCCholeskySetShift(), PCCholeskySetUseInPlace(), PCCholeskySetMatOrdering()

Level:beginner
Location:src/ksp/pc/impls/cholesky/cholesky.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages